Subject: [Sip] [Technical Errata Reported] RFC4028 (1687)

From: RFC Errata System <[email-masked]>
Date: Thu, 19 Feb 2009 03:02:02 -0800 (PST)

The following errata report has been submitted for RFC4028,
"Session Timers in the Session Initiation Protocol (SIP)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4028&eid=1687

--------------------------------------
Type: Technical
Reported by: Radha krishna Saragadam <[email-masked]>

Section: 9

Original Text
-------------
The UAS MUST NOT increase the value of the Session-Expires header field.

Corrected Text
--------------
same as session 8.1
   If the request doesn't indicate support for the session timer but
   contains a session interval that is too small, the UAS cannot
   usefully reject the request, as this would result in a call failure.
   Rather, the UAS SHOULD insert a Min-SE header field containing its
   minimum interval.  If a Min-SE header field is already present, the
   UAS SHOULD increase (but MUST NOT decrease) the value to its
   minimum interval.  The UAS MUST then increase the Session-Expires
   header field value to be equal to the value in the Min-SE header
   field

Notes
-----
----- Forwarded Message ----
From: Radha krishna <[email-masked]>
To: Brett Tate <[email-masked]>; "[email-masked]" <[email-masked]>
Sent: Thursday, February 19, 2009 10:56:31 AM
Subject: Re: [Sip-implementors] Sending 422

Thanks Brett,

      So I think same should be added for UAS

<Snip from RFC section 8.1>

  If the request doesn't indicate support for the session timer but
 
contains a session interval that is too small, the proxy cannot
  usefully
reject the request, as this would result in a call failure.
  Rather, the
proxy SHOULD insert a Min-SE header field containing its
  minimum
interval.  If a Min-SE header field is already present, the
  proxy SHOULD
increase (but MUST NOT decrease) the value to its
  minimum interval.  The
proxy MUST then increase the Session-Expires
  header field value to be equal to the value in the
Min-SE header
  field, as described above.
</Snip from RFC>

Regards
S.Radha krishna

________________________________
From: Brett Tate <[email-masked]>
To: Radha krishna <[email-masked]>; "[email-masked]" <[email-masked]>
Sent: Wednesday, February 18, 2009 6:42:31 PM
Subject: RE: [Sip-implementors] Sending 422

It looks like Section 9 may have forgotten to indicate the behavior when UAC timer support not indicated.  Section 8.1 allows a proxy to increase the Session-Expires; I see no reason why the same cannot be done by the UAS.

> -----Original Message-----
> From: [email-masked] [mailto:sip-
> [email-masked]] On Behalf Of Radha krishna
> Sent: Tuesday, February 17, 2009 9:48 PM
> To: [email-masked]
> Subject: [Sip-implementors] Sending 422
>
> Hi
>
>          Consider the following topology
>              UA1 ----- Call-stateful-proxy ------ UA2
>
>          UA1 does not support session timer, Make a call to UA2. Call-
> stateful-proxy adds Session-Expires:100 header and forwards to UA2. UA2
> minimum session expires is 900. But in this case INVITE will not contain
> "support: timer". According section 9, UAS can reject with 422 only if
> there is a timer tag in supported header
>
> <Snip from RFC>
>
>    If an incoming request contains a Supported header field with a value
>    'timer' and a Session Expires header field, the UAS MAY reject the
>    INVITE request with a 422 (Session Interval Too Small) response if
>    the session interval in the Session-Expires header field is smaller
>    than the minimum interval defined by the UAS' local policy.  When
>    sending the 422 response, the UAS MUST include a Min-SE header field
>    with the value of its minimum interval.  This minimum interval MUST
>    NOT be lower than 90 seconds.
> </Snip from RFC>
>
>        Also UAS cannot increase the session expires duration
> <Snip from RFC>
> The UAS MUST
>    NOT increase the value of the Session-Expires header field.
> </Snip from RFC>
>
> What should be the behavior of UAS here?
>    1) accept the call with 100 seconds?
>    2) Increase the duration to 900 seconds while sending 200 Ok?
> Note: Session timer should not be turned-off
>
> Regards
> S.Radha krishna
>
>
>
>
> _______________________________________________
> Sip-implementors mailing list
> [email-masked]
> https://lists.cs.columbia.edu/cucslists/listinfo/sip-implementors

_______________________________________________
Sip-implementors mailing list
[email-masked]
https://lists.cs.columbia.edu/cucslists/listinfo/sip-implementors

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC4028 (draft-ietf-sip-session-timer-15)
--------------------------------------
Title               : Session Timers in the Session Initiation Protocol (SIP)
Publication Date    : April 2005
Author(s)           : S. Donovan, J. Rosenberg
Category            : PROPOSED STANDARD
Source              : Session Initiation Protocol
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG

---

From: "Radha Krishna Saragadam (rsaragad)" <[email-masked]>
Date: Fri, 20 Feb 2009 08:11:50 +0530

Correction in "Corrected Text"

Section: 9

Original Text
-------------

Corrected Text
--------------
If the request doesn't indicate support for the session timer but
contains a session interval that is too small, the UAS cannot
usefully reject the request,as this would result in a call failure.
Rather, the UAS SHOULD increase the Session-Expires header field value
to be equal to its minimum interval in the response.

Regards
S.Radha krishna

-----Original Message-----
From: RFC Errata System [mailto:[email-masked]] 
Sent: Thursday, February 19, 2009 4:32 PM
To: [email-masked]; Jonathan Rosenberg (jdrosen);
[email-masked]; Cullen Jennings (fluffy);
[email-masked]; [email-masked]
Cc: Radha Krishna Saragadam (rsaragad); [email-masked];
[email-masked]
Subject: [Technical Errata Reported] RFC4028 (1687)

The following errata report has been submitted for RFC4028, "Session
Timers in the Session Initiation Protocol (SIP)".

Section: 9

Original Text
-------------

Corrected Text
--------------
same as session 8.1

Notes
-----
----- Forwarded Message ----
From: Radha krishna <[email-masked]>
To: Brett Tate <[email-masked]>;
"[email-masked]"
<[email-masked]>
Sent: Thursday, February 19, 2009 10:56:31 AM
Subject: Re: [Sip-implementors] Sending 422

Thanks Brett,

 

Regards
S.Radha krishna

________________________________
From: Brett Tate <[email-masked]>
To: Radha krishna <[email-masked]>;
"[email-masked]"
<[email-masked]>
Sent: Wednesday, February 18, 2009 6:42:31 PM
Subject: RE: [Sip-implementors] Sending 422

It looks like Section 9 may have forgotten to indicate the behavior when
UAC timer support not indicated.  Section 8.1 allows a proxy to increase
the Session-Expires; I see no reason why the same cannot be done by the
UAS.

> stateful-proxy adds Session-Expires:100 header and forwards to UA2. 
> UA2 minimum session expires is 900. But in this case INVITE will not 
> contain

>        Also UAS cannot increase the session expires duration <Snip 
> from RFC> The UAS MUST

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please use
"Reply All" to discuss whether it should be verified or rejected. When a
decision is reached, the verifying party (IESG) can log in to change the
status and edit the report, if necessary. 

Title               : Session Timers in the Session Initiation Protocol
(SIP)